Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ORB_Core_Auto_Ptr Class Reference

Define a TAO_ORB_Core auto_ptr class. More...

`#include <ORB_Core.h>`

Collaboration diagram for TAO_ORB_Core_Auto_Ptr:

[legend]
List of all members.

## Public Methods
| TAO_ORB_Core_Auto_Ptr (TAO_ORB_Core *p = 0)
| TAO_ORB_Core_Auto_Ptr (TAO_ORB_Core_Auto_Ptr &ap)
TAO_ORB_Core_Auto_Ptr& | operator= (TAO_ORB_Core_Auto_Ptr &rhs)
| ~TAO_ORB_Core_Auto_Ptr (void)
TAO_ORB_Core& | operator * () const
TAO_ORB_Core* | get (void) const
TAO_ORB_Core* | release (void)
void | reset (TAO_ORB_Core *p = 0)
TAO_ORB_Core* | operator-> () const
## Protected Attributes
TAO_ORB_Core* | p_

## Detailed Description

Define a TAO_ORB_Core auto_ptr class.

This class is used as an aid to make ORB initialization exception safe. It ensures that the ORB core is deallocated if an exception is thrown.

Todo:
  TAO_ORB_Core_Auto_Ptr should be renamed to TAO_ORB_Core_var since the ORB Core is reference counted.

## Constructor & Destructor Documentation

ACE_INLINE TAO_ORB_Core_Auto_Ptr::TAO_ORB_Core_Auto_Ptr ( | TAO_ORB_Core * p = 0 )

ACE_INLINE TAO_ORB_Core_Auto_Ptr::TAO_ORB_Core_Auto_Ptr ( | TAO_ORB_Core_Auto_Ptr & rhs )

ACE_INLINE TAO_ORB_Core_Auto_Ptr::~TAO_ORB_Core_Auto_Ptr ( | void )

## Member Function Documentation

ACE_INLINE TAO_ORB_Core * TAO_ORB_Core_Auto_Ptr::get ( | void ) const

ACE_INLINE TAO_ORB_Core & TAO_ORB_Core_Auto_Ptr::operator * ( | ) const

ACE_INLINE TAO_ORB_Core * TAO_ORB_Core_Auto_Ptr::operator-> ( | ) const

ACE_INLINE TAO_ORB_Core_Auto_Ptr & TAO_ORB_Core_Auto_Ptr::operator= ( | TAO_ORB_Core_Auto_Ptr & rhs )

ACE_INLINE TAO_ORB_Core * TAO_ORB_Core_Auto_Ptr::release ( | void )

ACE_INLINE void TAO_ORB_Core_Auto_Ptr::reset ( | TAO_ORB_Core * p = 0 )

## Member Data Documentation

TAO_ORB_Core * TAO_ORB_Core_Auto_Ptr::p_`[protected]`

The documentation for this class was generated from the following files:

- ORB_Core.h
- ORB_Core.i